> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Shipping Methods in Zone

GET https://api.bigcommerce.com/stores/{store_hash}/v2/shipping/zones/{zone_id}/methods

Returns a list of *Shipping Methods* in a zone. Default sorting is by shipping method ID, from lowest to highest.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/shipping/v2/shipping-method/get-shipping-zone-methods

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | | - | - | - | | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `zone_id` (integer, required) — ID of the shipping zone.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

OK

- `list of shippingMethod_Full`

## Types

### shippingMethod_Full

- `channel_ids` (list of integer, optional) — List of channels associated to a method. When creating a new method, all available channels are associated by default. (Optional)
- `enabled` (boolean, optional) — Whether or not this shipping zone method is enabled.
- `handling_fees` (ShippingMethodBaseHandlingFees, optional)
- `id` (integer, optional) — Shipping method ID. Read-only.
- `is_fallback` (boolean, optional) — Whether or not this shipping method is a fallback method used when advanced shipping rules are unavailable.
- `name` (string, optional) — Display name for shipping method.
- `settings` (ShippingMethodBaseSettings, optional) — Depends on the shipping method type. See the [supported settings object](#settings-objects).
- `type` (enum, optional)
  - Allowed values: `perorder`, `peritem`, `weight`, `total`, `auspost`, `canadapost`, `endicia`, `usps`, `fedex`, `royalmail`, `upsready`, `freeshipping`

### ShippingMethodBaseHandlingFees

### ShippingMethodBaseSettings

Depends on the shipping method type. See the [supported settings object](#settings-objects).

- `rate` (double, optional) — Flat rate per order.

### Fixed surcharge

- `fixed_surcharge` (double, optional) — Flat-rate handling fee applied to shipping cost.

### Percentage surcharge

- `percentage_surcharge` (double, optional) — Percentage handling fee applied to shipping cost.

## Examples

### Example 1

**Response**

```json
[
  {
    "channel_ids": [
      2,
      3
    ],
    "enabled": true,
    "handling_fees": {
      "fixed_surcharge": 0
    },
    "id": 1,
    "is_fallback": false,
    "name": "Flat Rate",
    "settings": {
      "rate": 12
    },
    "type": "perorder"
  },
  {
    "channel_ids": [
      1,
      3
    ],
    "enabled": false,
    "handling_fees": {
      "fixed_surcharge": 0
    },
    "id": 2,
    "is_fallback": false,
    "name": "Pickup In Store",
    "settings": {},
    "type": "total"
  },
  {
    "channel_ids": [
      1
    ],
    "enabled": true,
    "handling_fees": {
      "fixed_surcharge": 0
    },
    "id": 3,
    "is_fallback": false,
    "name": "Ship by Weight",
    "settings": {
      "default_cost": 0,
      "default_cost_type": "fixed_amount",
      "range": [
        {
          "lower_limit": 0,
          "shipping_cost": 8,
          "upper_limit": 20
        },
        {
          "lower_limit": 20,
          "shipping_cost": 8,
          "upper_limit": 40
        },
        {
          "lower_limit": 40,
          "shipping_cost": 8,
          "upper_limit": 60
        },
        {
          "lower_limit": 60,
          "shipping_cost": 8,
          "upper_limit": 80
        }
      ]
    },
    "type": "weight"
  },
  {
    "channel_ids": [
      1
    ],
    "enabled": true,
    "handling_fees": {
      "fixed_surcharge": 0
    },
    "id": 4,
    "is_fallback": false,
    "name": "UPS®",
    "settings": {
      "carrier_options": {
        "delivery_services": [
          "Express",
          "Ground",
          "Next_Day_Air",
          "Saver",
          "Standard"
        ],
        "destination_type": "residential",
        "include_package_value": "1",
        "packaging": [],
        "packaging_type": "2c",
        "packing_method": "combined",
        "show_transit_time": "1"
      }
    },
    "type": "upsready"
  }
]
```

**SDK Code**

```python Example 1
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 2

**Response**

```json
[
  {
    "channel_ids": [
      1,
      2
    ],
    "enabled": true,
    "handling_fees": {
      "fixed_surcharge": 0
    },
    "id": 23225205,
    "is_fallback": false,
    "name": "tempo",
    "settings": {},
    "type": "royalmail"
  },
  {
    "channel_ids": [
      1
    ],
    "enabled": true,
    "handling_fees": {
      "percentage_surcharge": 0
    },
    "id": 35889344,
    "is_fallback": false,
    "name": "Lorem Excepteur esse",
    "settings": {},
    "type": "canadapost"
  }
]
```

**SDK Code**

```python Example 2
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example 2
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 2
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 2
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example 2
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Example 2
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example 2
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example 2
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```